<div class="card" style="width:80%; margin: 0 auto" >
  <h5 class="card-header">Exception</h5>
  <div class="card-body">
    <ul>
      <li class= "mb-3">
        Error message:  <%= @err%>
      </li>
      <li class= "mb-3">
        Explanation: 
        <p>Your click called a method to divide a number by zero. This causes rails to raise an exception called the 'ZeroDivisionError'. <br>
          The best practice is to raise the exception whenever it occurs, however for the purposes of this demonstration it is not.<br>
          Before the exception is handled, an error is logged in the production.log file in the server.</p>
      </li>
      <li class= "mb-3">
        Stack trace:  
        <p><%= @str%></p>
      </li>
    </ul>
  </div>
</div>
<br>
